package com.ims.eval.controller;


import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IDeptResponsibilityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 部门目标责任表 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@RestController
@RequestMapping("//dept-responsibility")
public class DeptResponsibilityController {



	@Autowired
	private IDeptResponsibilityService deptResponsibilityService;


	/**
	 * @param pageNum          当前页数
	 * @param pageSize         当前页大小
	 * @param id               主键
	 * @param organizationName 考评组织名称
	 * @param organizationId   考评组织ID
	 * @param organizationType 考评类别
	 * @param binSection       业务版块
	 * @param binStage         业务阶段
	 * @param evaluationCycle  考评周期
	 * @param year             年
	 * @param month            月
	 * @return
	 */
	//@ImsPreAuth("eval:deptResponsibility:view")
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "pageNum") Integer pageNum,
				  @RequestParam(value = "pageSize") Integer pageSize,
				  @RequestParam(value = "id", required = false) String id,
				  @RequestParam(value = "organizationName", required = false) String organizationName,
				  @RequestParam(value = "organizationId", required = false) String organizationId,
				  @RequestParam(value = "organizationType", required = false) String organizationType,
				  @RequestParam(value = "binSection", required = false) String binSection,
				  @RequestParam(value = "binStage", required = false) String binStage,
				  @RequestParam(value = "evaluationCycle", required = false) String evaluationCycle,
				  @RequestParam(value = "year", required = false) String year,
				  @RequestParam(value = "month", required = false) String month) {
//		IPage<DeptResponsibility> list = deptResponsibilityService.list2(pageNum, pageSize, id, organizationName, organizationId, organizationType, binSection, binStage, evaluationCycle, year, month);
		return R.ok().data(null);
	}





}
